Subject: bug#59794: 29.0.60; NSport segfaults when a fullscreen frame is being closed)

From: Gerd Möllmann <[email-masked]>
Date: Wed, 11 Jan 2023 05:38:28 +0100

GDB’s support for macOS is limited to x86_64, it doesn’t run on Apple silicon. You can install GDB with Homebrew on x86_64. 

If you want to use LLDB anyway, etc/DEBUG has some instructions. 

Sent from my iPhone

> On 11. Jan 2023, at 02:14, Po Lu <[email-masked]> wrote:
> 
> "Steven E. Harris" <[email-masked]> writes:
> 
>> Using Emacs version 30.0.50 on macOS, reported by "emacs-version" as
>> 
>> GNU Emacs 30.0.50 (build 1, x86_64-apple-darwin18.7.0, NS appkit-1671.60 Version 10.14.6 (Build 18G95)) of 2023-01-09
>> 
>> for the “emacs-nightly” Homebrew formula, I find that this failure still occurs regularly, whether or not the frame being closed was full-screen
>> or not. Specifically, when magit opens a new frame to capture a Git commit message, and I complete the message by pressing “C-c C-c,” the
>> frame closes, and then Emacs crashes.
>> 
>> Please find the captured crash report attached here.
> 
> Thanks, but please run Emacs under a debugger and send a backtrace from
> there instead.  I suspect this is a different bug.
> 
> GDB is supposedly not readily available for Mac OS anymore.  Gerd, could
> you please explain to Steven how to debug Emacs with lldb?
> 
> Thanks.